Views:

View the supported operating systems and their system requirements needed to install the Server & Workload Protection agent.

Note
Note
The system requirements detailed below are for deploying the Server & Workload agent package with Endpoint Sensor capabilities. If you wish to only connect a Deep Security Agent directly to your Server & Workload Protection Manager, see Agent platform compatibility for supported agents.

Windows Desktop

Version
Edition
Processor
Memory
Windows 10 (32/64-bit)
  • October 2022 Update (22H2)
  • Home
  • Pro
  • Pro for Workstations
  • Education
  • Enterprise
  • Minimum 1 GHz (32-bit) / 2 GHz (64-bit) Intel Pentium or equivalent (2 GHz recommended)
  • AMD™ 64 processor
  • Intel 64 processor
Note
Note
Must have at least 4 CPU cores
RAM:
  • 2.5 GB (exclusively for the Server & Workload Protection agent)
  • 4.5 GB recommended
Disk space: 4 GB minimum
Windows 11 (64-bit)
  • October 2023 Update (23H2)
  • Home
  • Pro
  • Education
  • Enterprise
  • Minimum 2 GHz (64-bit) Intel Pentium or equivalent
  • AMD™ 64 processor
  • Intel 64 processor
Note
Note
Must have at least 4 CPU cores

Windows Server

Version
Edition
Processor
Memory
Windows Server 2008 R2 (64-bit)
Service Pack 1
  • Standard
  • Enterprise
  • Datacenter
  • Web
  • Server Core
  • Minimum 2 GHz Intel Pentium or equivalent (2 GHz recommended)
  • AMD™ 64 processor
  • Intel 64 processor
Note
Note
Must have at least 4 CPU cores
RAM:
  • 2.5 GB (exclusively for the Server & Workload Protection agent)
  • 4.5 GB recommended
Disk space: 4 GB minimum
Windows Server 2012 (64-bit)
  • Standard
  • Datacenter
Windows Server 2012 R2 (64-bit)
  • Standard
  • Datacenter
  • Server Core
Windows Server 2016 (64-bit)
  • Standard
  • Datacenter
  • Server Core
Windows Server 2019 (64-bit)
  • Standard
  • Datacenter
  • Server Core
Windows Server 2022 (64-bit)
  • Standard
  • Datacenter
  • Server Core

Linux

Operating System
Versions
Processor
Memory
AlmaLinux
AlmaLinux 8 (x86_64)
CPU:
  • Physical server: Intel Pentium Dual-Core or equivalent minimum, 4-Core or greater recommended
  • Virtual machine: 4 vCPU or greater recommended
RAM:
  • 2 GB minimum
  • 5 GB recommended
Disk space: 1 GB recommended
AlmaLinux 9 (x86_64)
Amazon Linux
Amazon Linux (x86_64)
Amazon Linux 2 (x86_64)
Amazon Linux 2 (AArch64)
Amazon Linux 2023 (x86_64)
Amazon Linux 2023 (AArch64)
CentOS
CentOS Linux 6 (x86_64)
CentOS Linux 7 (x86_64)
CentOS Linux 8 (x86_64)
CloudLinux
CloudLinux 7 (x86_64)
CloudLinux 8 (x86_64)
Debian
Debian 8 (x86_64)
Debian 9 (x86_64)
Debian 10 (x86_64)
Debian 11 (x86_64)
OracleLinux
OracleLinux 6 (x86_64)
OracleLinux 7 (x86_64)
OracleLinux 8 (x86_64)
OracleLinux 9 (x86_64)
Red Hat
Red Hat Enterprise Linux 6 (x86_64)
Red Hat Enterprise Linux 7 (x86_64)
Red Hat Enterprise Linux 8 (x86_64)
Red Hat Enterprise Linux 8 (AArch64)
Red Hat Enterprise Linux 9 (x86_64)
Red Hat Enterprise Linux Workstation 7 (x86_64)
RockyLinux
RockyLinux 8 x86_64
RockyLinux 9 x86_64
SuSE
SuSE 12 (x86_64)
SuSE 15 (x86_64)
Ubuntu
Ubuntu 16.04 (x86_64)
Ubuntu 18.04 (x86_64)
Ubuntu 18.04 (AArch64)
Ubuntu 20.04 (x86_64)
Ubuntu 20.04 (AArch64)
Ubuntu 22.04 (x86_64)
Ubuntu 22.04 (AArch64)